import sys
from PyQt4.QtGui import *
from PyQt4 import QtCore
import testGUI
import os
import serial
import time

class MainDialog(QDialog,testGUI.Ui_Dialog):
    def __init__(self,parent=None):
        super(MainDialog,self).__init__(parent)
        self.setupUi(self)
        self.ser=None
        self.timer = QtCore.QBasicTimer()
        self.duree=100
        self.cboxSerialPort.addItems(list(self.serial_ports()))
    
    def ButtonClicked(self):
        self.label.setText("Bonjour "+self.Edit.text())
        
        
    def EcrireLabel(self):
        self.label.setText("Salut tout le monde")
    
    def MessageBox(self):
        QMessageBox.information(self,"Popup","Ceci est un message de test")
        
    def Connexion(self):
        #QMessageBox.information(self,"Popup",self.cboxSerialPort.currentText())
        port=str(self.cboxSerialPort.currentText())
        self.ser = serial.Serial(port)
        self.pbtSerial.setEnabled(False)
        time.sleep(2)
        
        
    def Rouge(self):
        self.ser.write("r")
        
    def Jaune(self):
        self.ser.write("j")
    
    def Verte(self):
        self.ser.write("v")
        
    def StartStopClignote(self):
        if self.timer.isActive():
            self.timer.stop()
        else:
            self.timer.start(self.duree,self)
            
    def timerEvent(self,e):
        if self.ser.isOpen():
            self.ser.write("r")
        self.duree=self.Slider.value()
        self.timer.start(self.duree,self)
        
        
    def serial_ports(self):
        if os.name == 'nt':
            # windows
            for i in range(256):
                try:
                    s = serial.Serial(i)
                    s.close()
                    yield "COM" + str(i + 1)
                except serial.SerialException:
                    pass
        else:
            # unix
            for port in list_ports.comports():
                yield port[0]

         
app=QApplication(sys.argv)    
form=MainDialog()
form.show()
app.exec_()